import request from '@/utils/request'

// 查询执照列表
export function listLicense(query) {
  return request({
    url: '/model/license/list',
    method: 'get',
    params: query
  })
}

// 查询执照详细
export function getLicense(licenseId) {
  return request({
    url: '/model/license/' + licenseId,
    method: 'get'
  })
}

// 新增执照
export function addLicense(data) {
  return request({
    url: '/model/license',
    method: 'post',
    data: data
  })
}

// 修改执照
export function updateLicense(data) {
  return request({
    url: '/model/license',
    method: 'put',
    data: data
  })
}

// 删除执照
export function delLicense(licenseId) {
  return request({
    url: '/model/license/' + licenseId,
    method: 'delete'
  })
}
